## ghidra 11.4.1+ds

=== GhidraDocs/GhidraClass/Debugger/Makefile ===

PANDOC=pandoc

default: all

%.html: %.md
	$(PANDOC) -B navhead.htm --section-divs --toc -c style.css -s --lua-filter=links-to-html.lua --syntax-definition=gdb_syntax.xml --syntax-definition=sleigh_syntax.xml --metadata title="Ghidra Debugger" $< -o $@

all: \
		A1-GettingStarted.html \
		A2-UITour.html \
		A3-Breakpoints.html \
		A4-MachineState.html \
		A5-Navigation.html \
		A6-MemoryMap.html \
		B1-RemoteTargets.html \
		B2-Emulation.html \
		B3-Scripting.html \
		B4-Modeling.html \
		B5-AddingDebuggers.html \
		README.html

clean:
	-rm *.html

=== GhidraDocs/GhidraClass/Advanced/src/Examples/Makefile ===
CC=gcc
CXX=g++
AS=gcc

OUTDIR := out

EXAMPLES := dataMutability override custom switch sharedReturn jumpWithinInstruction opaque globalRegVars.so setRegister compilerVsDecompiler noReturn createStructure animals ldiv inline write

$(EXAMPLES): | $(OUTDIR)

$(OUTDIR):
	mkdir -p $(OUTDIR)

all: $(EXAMPLES)

dataMutability: dataMutability.c
	$(CC) dataMutability.c -o $(OUTDIR)/dataMutability -O2 

override: override.c
	$(CC) override.c -o $(OUTDIR)/override.so -shared -fPIC -O2

custom: custom.c
	$(CC) custom.c -o $(OUTDIR)/custom -fomit-frame-pointer 

switch: switch.s
	$(AS) switch.s -o $(OUTDIR)/switch 

jumpWithinInstruction: jumpWithinInstruction.c
	$(CC) jumpWithinInstruction.c -o $(OUTDIR)/jumpWithinInstruction -O2 -fno-inline

sharedReturn: sharedReturn.c
	$(CC) sharedReturn.c -o $(OUTDIR)/sharedReturn -O2 -fno-inline
	strip -s $(OUTDIR)/sharedReturn

opaque: opaque.c
	$(CC) opaque.c -o $(OUTDIR)/opaque -O2

globalRegVars.so: globalRegVars.c
	$(CC) globalRegVars.c -o $(OUTDIR)/globalRegVars.so -fPIC -shared -O2

setRegister: setRegister.c
	$(CC) setRegister.c -o $(OUTDIR)/setRegister -O2 -fno-inline

compilerVsDecompiler: compilerVsDecompiler.s
	$(AS) compilerVsDecompiler.s -o $(OUTDIR)/compilerVsDecompiler  

noReturn: noReturn.c
	$(CC) noReturn.c -o $(OUTDIR)/noReturn -shared -fPIC

createStructure: createStructure.c
	$(CC) createStructure.c -o $(OUTDIR)/createStructure -shared -fPIC -O2

animals: animals.cpp
	$(CXX) animals.cpp -o $(OUTDIR)/animals -O2 -std=c++11 

ldiv: ldiv.c
	$(CC) ldiv.c -o $(OUTDIR)/ldiv -O2

inline: inline.s
	$(AS) inline.s -o $(OUTDIR)/inline

write: write.c
	$(CC) write.c -o $(OUTDIR)/write -O1

clean:
	rm -rf $(OUTDIR)

## ghidra 10.3.2

=== debian/changelog ===
ghidra (10.3.2-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:15:22 +0200

ghidra (10.3.2-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * ci: Disable 32bit arm arch builds.

  [ Sophie Brun ]
  * New upstream version 10.3.2

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 21 Jul 2023 11:14:29 +0200

ghidra (10.2.2-0kali2) kali-experimental; urgency=medium

  * Fix build on arm64 but embedded sevenzipjbinding does not support arm64

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 22 Dec 2022 14:05:43 +0100

ghidra (10.2.2-0kali1) kali-dev; urgency=medium

  * New upstream version 10.2.2
  * Change required version of gradle
  * Switch to openjdk-17-jdk (as required by new upstream release)
  * Update lintian-overrides
  * Bump Standards-Version to 4.6.1 (no changes)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 Dec 2022 14:33:42 +0100

ghidra (10.1.4-0kali2) kali-dev; urgency=medium

  * Replace dependency openjdk-11-jdk-headless with openjdk-11-jdk
    (fix missing libawt_xawt.so)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Dec 2022 18:01:29 +0100

ghidra (10.1.4-0kali1) kali-dev; urgency=medium

  * New upstream version 10.1.4

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 20 Jun 2022 15:56:13 +0200

ghidra (10.1.2-0kali2) kali-dev; urgency=medium

  * Do not look for *x86_64.zip file (fails on arm64)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 31 Jan 2022 16:43:51 +0100

ghidra (10.1.2-0kali1) kali-dev; urgency=medium

  * New upstream version 10.1.2
  * Add arm64 arch
  * Update minimal required version of gradle

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 28 Jan 2022 13:54:39 +0100

ghidra (10.1-0kali2) kali-dev; urgency=medium

  * Bump Standards-Version to 4.6.0
  * Update debian/copyright
  * Update lintian-overrides
  * Remove override_dh_gencontrol

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 14 Dec 2021 14:43:17 +0100

ghidra (10.1-0kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Remove template comment and switch spaces to tabs

  [ Sophie Brun ]
  * Update debian/watch
  * New upstream version 10.1 (with fix for CVE-2021-44228)
  * Adapt debian/rules

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 13 Dec 2021 11:45:15 +0100

ghidra (9.1.2-0kali4) kali-dev; urgency=medium

  * Remove arm64: upstream does not support it. Build fails.

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 26 May 2021 08:56:16 +0200

ghidra (9.1.2-0kali3) kali-experimental; urgency=medium

  * Add a patch to support arm64 

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 03 May 2021 17:02:18 +0200

ghidra (9.1.2-0kali2) kali-experimental; urgency=medium

  * Add arm64 to supported architecture

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 03 May 2021 17:02:13 +0200

ghidra (9.1.2-0kali1) kali-dev; urgency=medium

  * Initial release (see 7090)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 Apr 2021 17:47:44 +0200

=== debian/control ===
Source: ghidra
Section: misc
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: bison,
               debhelper-compat (= 13),
               flex,
               libnative-platform-jni,
               openjdk-17-jdk-headless,
               unzip,
               wget
Standards-Version: 4.6.1
Homepage: https://github.com/NationalSecurityAgency/ghidra
Rules-Requires-Root: no

Package: ghidra
Architecture: amd64 arm64
Depends: openjdk-17-jdk, ${misc:Depends}, ${shlibs:Depends}
Recommends: ghidra-data (>= 9.2)
Description: Software Reverse Engineering Framework
 This package contains a software reverse engineering (SRE) framework created
 and maintained by the National Security Agency Research Directorate. This
 framework includes a suite of full-featured, high-end software analysis tools
 that enable users to analyze compiled code on a variety of platforms including
 Windows, macOS, and Linux. Capabilities include disassembly, assembly,
 decompilation, graphing, and scripting, along with hundreds of other features.
 Ghidra supports a wide variety of processor instruction sets and executable
 formats and can be run in both user-interactive and automated modes. Users may
 also develop their own Ghidra extension components and/or scripts using Java
 or Python.
 .
 In support of NSA's Cybersecurity mission, Ghidra was built to solve scaling
 and teaming problems on complex SRE efforts, and to provide a customizable and
 extensible SRE research platform. NSA has applied Ghidra SRE capabilities to a
 variety of problems that involve analyzing malicious code and generating deep
 insights for SRE analysts who seek a better understanding of potential
 vulnerabilities in networks and systems.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/architecture.mk

# mandatory for gradle
GRADLE_VERSION=7.3
export GRADLE_USER_HOME=$(CURDIR)/debian/fakehome/.gradle

# define a writable user.home (Java user.home is different from $HOME value)
export _JAVA_OPTIONS=-Duser.home=$(CURDIR)/debian/fakehome

%:
	dh $@

override_dh_auto_build:
	# use a recent gradle release (version in Debian is too old)
	# create fakehome
	mkdir -p $(CURDIR)/debian/fakehome/.gradle
	# create a directory where to install gradle binary
	mkdir $(CURDIR)/debian/bin
	wget https://services.gradle.org/distributions/gradle-$(GRADLE_VERSION)-bin.zip -O $(CURDIR)/debian/bin/gradle-$(GRADLE_VERSION)-bin.zip
	unzip $(CURDIR)/debian/bin/gradle-$(GRADLE_VERSION)-bin.zip -d $(CURDIR)/debian/bin

	# build ghidra with installed gradle
	$(CURDIR)/debian/bin/gradle-$(GRADLE_VERSION)/bin/gradle -I gradle/support/fetchDependencies.gradle init
	# build native binaries for arm64
ifeq ($(DEB_HOST_ARCH),arm64)
	$(CURDIR)/debian/bin/gradle-$(GRADLE_VERSION)/bin/gradle buildNatives
endif

	# build Ghidra
	$(CURDIR)/debian/bin/gradle-$(GRADLE_VERSION)/bin/gradle buildGhidra

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/debian/bin
	rm -rf $(CURDIR)/debian/fakehome

override_dh_install:
	dh_install
	# upstream generates a ghidra*.zip file with all the required
	# components. We use it to install ghidra
	unzip $(CURDIR)/build/dist/ghidra_*.zip -d $(CURDIR)/build-ghidra
	mv $(CURDIR)/build-ghidra/ghidra_* $(CURDIR)/build-ghidra/ghidra
	mkdir -p $(CURDIR)/debian/ghidra/usr/share
	cp -r $(CURDIR)/build-ghidra/ghidra $(CURDIR)/debian/ghidra/usr/share

	# move docs
	mkdir -p $(CURDIR)/debian/ghidra/usr/share/doc/ghidra
	mv $(CURDIR)/debian/ghidra/usr/share/ghidra/docs/* $(CURDIR)/debian/ghidra/usr/share/doc/ghidra
	rm -rf $(CURDIR)/debian/ghidra/usr/share/ghidra/docs

	# remove binaries for other archs / systems
	rm -rf $(CURDIR)/debian/ghidra//usr/share/ghidra/Ghidra/Features/FileFormats/data/sevenzipnativelibs/Win*
	rm -rf $(CURDIR)/debian/ghidra//usr/share/ghidra/Ghidra/Features/FileFormats/data/sevenzipnativelibs/Mac*
ifeq ($(DEB_HOST_ARCH),arm64)
	rm -rf $(CURDIR)/debian/ghidra//usr/share/ghidra/Ghidra/Features/FileFormats/data/sevenzipnativelibs/Linux-amd64*
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?Ghidra_(\d[\d.]*)_build\.tar\.gz%ghidra-$1.tar.gz%" \
   https://github.com/NationalSecurityAgency/ghidra/tags \
   (?:.*?/)?Ghidra_(\d[\d.]*)_build\.tar\.gz debian uupdate

## ghidra 11.3.2+ds

=== debian/changelog ===
ghidra (11.3.2+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 11.3.2+ds

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 08 May 2025 11:28:27 +0200

ghidra (11.3.1+ds-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * New upstream version 11.0+ds
  * d/upstream: Add upstream metadata

  [ Daniel Ruiz de Alegría ]
  * New upstream version 11.3.1+ds
  * Refresh patches
  * Update packaging
  * Update patch that removes privacy breach
  * Update lintian overrides

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 11 Mar 2025 09:39:26 +0100

ghidra (11.0+ds-0kali1) kali-dev; urgency=medium

  * d/watch: Add repacksuffix
  * New upstream version 11.0+ds
  * Update lintian overrides

 -- Steev Klimaszewski <steev@kali.org>  Sat, 23 Dec 2023 15:38:46 -0600

ghidra (10.4-0kali1) kali-dev; urgency=medium

  * New upstream version 10.4

 -- Steev Klimaszewski <steev@kali.org>  Fri, 29 Sep 2023 20:40:54 -0500

ghidra (10.3.3-0kali1) kali-dev; urgency=medium

  * Exclude .gitattributes
  * New upstream version 10.3.3
  * Update lintian overrides.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Tue, 26 Sep 2023 18:26:49 -0500

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,28 @@
 Source: ghidra
 Section: misc
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders:
+ Sophie Brun <sophie@offensive-security.com>,
+ Daniel Ruiz de Alegria <daniruiz@kali.org>,
 Build-Depends: bison,
                debhelper-compat (= 13),
                flex,
                libnative-platform-jni,
-               openjdk-17-jdk-headless,
+               openjdk-21-jdk-headless,
+               python3,
+               python3-pip,
                unzip,
-               wget
-Standards-Version: 4.6.1
+               wget,
+Standards-Version: 4.7.2
 Homepage: https://github.com/NationalSecurityAgency/ghidra
+Vcs-Browser: https://gitlab.com/kalilinux/packages/ghidra
+Vcs-Git: https://gitlab.com/kalilinux/packages/ghidra.git
 Rules-Requires-Root: no
 
 Package: ghidra
 Architecture: amd64 arm64
-Depends: openjdk-17-jdk, ${misc:Depends}, ${shlibs:Depends}
+Depends: openjdk-21-jdk, ${misc:Depends}, ${shlibs:Depends}
 Recommends: ghidra-data (>= 9.2)
 Description: Software Reverse Engineering Framework
  This package contains a software reverse engineering (SRE) framework created

## ghidra 11.4.1+ds

=== debian/changelog ===
ghidra (11.4.1+ds-0kali1) kali-dev; urgency=medium

  * Update my email
  * New upstream version 11.4.1+ds
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Mon, 11 Aug 2025 11:52:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders:
- Sophie Brun <sophie@offensive-security.com>,
+ Sophie Brun <sophie@kali.org>,
  Daniel Ruiz de Alegria <daniruiz@kali.org>,
 Build-Depends: bison,
                debhelper-compat (= 13),

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?Ghidra_(\d[\d.]*)_build\.tar\.gz%ghidra-$1.tar.gz%, \
      repacksuffix=+ds" \
   https://github.com/NationalSecurityAgency/ghidra/tags \
   (?:.*?/)?Ghidra_(\d[\d.]*)_build\.tar\.gz debian uupdate

## ghidra 11.4.2+ds

=== debian/changelog ===
ghidra (11.4.2+ds-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * New upstream version 11.4.1+ds

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Daniel Ruiz de Alegría ]
  * New upstream version 11.4.2+ds
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 04 Sep 2025 09:45:29 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
 Homepage: https://github.com/NationalSecurityAgency/ghidra
 Vcs-Browser: https://gitlab.com/kalilinux/packages/ghidra
 Vcs-Git: https://gitlab.com/kalilinux/packages/ghidra.git
-Rules-Requires-Root: no
 
 Package: ghidra
 Architecture: amd64 arm64

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/dpkg/architecture.mk
 
 # mandatory for gradle
-GRADLE_VERSION=7.3
+GRADLE_VERSION=8.5
 export GRADLE_USER_HOME=$(CURDIR)/debian/fakehome/.gradle
 
 # define a writable user.home (Java user.home is different from $HOME value)

## ghidra 11.4.3+ds

=== debian/changelog ===
ghidra (11.4.3+ds-0kali2) kali-dev; urgency=medium

  * Update debian/watch to version 5
  * Remove full URL from -Matching-Pattern in debian/watch

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 15 Dec 2025 10:44:17 +0100

ghidra (11.4.3+ds-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop armel-related variable from CI (no more armel runner)

  [ Daniel Ruiz de Alegría ]
  * New upstream version 11.4.3+ds

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 08 Dec 2025 10:29:08 +0100

=== debian/watch ===
Version: 5

Template: Github
Owner: NationalSecurityAgency
Project: ghidra
Repacksuffix: +ds
Matching-Pattern: /tags/Ghidra_(\d[.\d]*)_build

## ghidra 12.0+ds

=== debian/changelog ===
ghidra (12.0+ds-0kali1) kali-dev; urgency=medium

  * Revert back to using full URL for debian/watch Matching-Pattern
  * New upstream version 12.0+ds

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 15 Dec 2025 14:07:21 +0100

## ghidra 12.0.1+ds

=== debian/changelog ===
ghidra (12.0.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 12.0.1+ds

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 19 Jan 2026 12:37:06 +0100

## ghidra 12.0.2+ds

=== debian/changelog ===
ghidra (12.0.2+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 12.0.2+ds

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 02 Feb 2026 10:52:43 +0100

=== debian/watch ===
Version: 5

Template: Github
Owner: NationalSecurityAgency
Project: ghidra
Repacksuffix: +ds
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/Ghidra_(\d[.\d]*)_build

## ghidra 12.0.3+ds

=== debian/changelog ===
ghidra (12.0.3+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 12.0.3+ds

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 16 Feb 2026 11:37:30 +0100
